petsc-3.4.2 2013-07-02

# KSPSetComputeEigenvalues

Sets a flag so that the extreme eigenvalues values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetComputeEigenvalues(KSP ksp,PetscBool flg)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE or PETSC_FALSE

### Notes

Currently this option is not valid for all iterative methods.

### Keywords

KSP, set, compute, eigenvalues

### See Also

KSPComputeEigenvalues(), KSPComputeEigenvaluesExplicitly()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages